package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.base.api.domain.BmFlowRelation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 13:03
* @Version 1.0
*/

@Mapper
public interface BmFlowRelationMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(BmFlowRelation record);

    int insertOrUpdate(BmFlowRelation record);

    int insertOrUpdateSelective(BmFlowRelation record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(BmFlowRelation record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    BmFlowRelation selectByPrimaryKey(Integer id);

    /**
     * 自动注入参数筛选查询
     * @param record 注入参数
     * @return 集合
     */
    List<BmFlowRelation> selectAllByPrimaryKeys(BmFlowRelation record);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(BmFlowRelation record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(BmFlowRelation record);

    int updateBatch(List<BmFlowRelation> list);

    int updateBatchSelective(List<BmFlowRelation> list);

    int batchInsert(@Param("list") List<BmFlowRelation> list);
}